Subject: Re: inter-packet gap in pktgen

From: Ben Greear <[email-masked]>
Date: Tue, 07 Dec 2004 14:47:15 -0800

Lennert Buytenhek wrote:

> By tweaking the 'ipg' parameter I can generate pretty much any packet rate
> I want, as long as I set ipg=(1e9/rate)-496 instead of something possibly
> more straightforward.

That 496 will also change with load on the system, at least on average.  I
dealt with this by having a user-space app sample the rate and adjust the ipg
to keep the average rate where I want it.

So, I'd suggest leaving the ipg as it is, and use external tools to get
the exact pps that you are looking for.

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com